Bug 39445 - pcnet32: warning: PROM address does not match CSR addre
Summary: pcnet32: warning: PROM address does not match CSR addre
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL: http://archives.linuxbe.org/arch033/1...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-07 18:47 UTC by Simon Falvey
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 07:48:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:084 normal SHIPPED_LIVE Kernel: Kernel: 2001-06-21 04:00:00 UTC

Description Simon Falvey 2001-05-07 18:47:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-GB; m18) Gecko/20010131
Netscape6/6.01

Description of problem:
After installing RH7.1 I can no longer use the network. the pcnet32 module
loads on boot but interface fails to come up. The following is in dmesg
output...

pcnet32_probe_pci: found device 0x001022.0x002000
     ioaddr=0x006600 resource_flags=0x000101
PCI: Found IRQ for device 00:11.0
eth: PCnet/FAST 79C970 at 0x6600 warning: PROM address does not match CSR
address 00 00 00 00 00 00
     tx_stat_pt(0x0c00):~22 bytes, BCR18(9861): BurstWrRn BurstRdEn NoUFlow
     SRAMSIZE=0x7f00, SRAM_BND=0x4000
pcnet32: pcnet32_private lp=c34a0000 lp_dma_addr=0x34a0000 assigned IRQ 11
pcnet32.c: v1.25kf 26.9.99 tsbogend@alpha.franken.de

Doing a quick search on the web finds a number of other people with a
similar problem. The URL to one such post is above although this guy is
using Debian.

Further to this if I unload the pcnet32 module and cat /proc/interupts the
system then hangs and must be powered off.

System was installed over network without issue. 2 or 3 boots later it all
goes wrong.

How reproducible:
Always

Steps to Reproduce:
1. Install RH7.1 on a system with AMD 79c970 ethernet card
2. Reboot
3.
	

Actual Results:  As in description. Plus ifconfig states MAC address is 00
00 00 00 00 00

Expected Results:  The ethernet card should work without issue.

Additional info:

There is at least one posting
http://www.linuxarkivet.nu/mlists/linux-kernel/0103/msg04611.html

lists the offending lines of code but says they are only in 2.4.3, RH7.1 of
course installs 2.4.2-2 Has any additional code been stitched into this
release?

FYI this system is a firewall and has no local floppy or CD only way of
performing data exchange is via ethernet. No compilors or source installed
either.

Comment 1 Simon Falvey 2001-05-07 18:51:31 UTC
Booting off bootnet image does not re-initialise the card. If there is any way
you can think of to get the card working in-situ please let me know otherwise I
will have to remove the hard drive and perform a rebuild externally.

Comment 2 Arjan van de Ven 2001-05-08 10:01:41 UTC
"FYI this system is a firewall and has no local floppy or CD only way of
 performing data exchange is via ethernet. No compilors or source installed
 either." makes it a bit hard.....

Other than that, we are working on an erratum kernel which has an updated
pcnet32 driver; A snapshot of the work can be found in rawhide.

Comment 3 Brian Brock 2001-05-08 14:11:23 UTC
the newer 2.4 kernel appears to have the fix that you pointed to, whihc does the
16-bit check first to avoid breaking older cards.

Comment 4 Alan Cox 2001-05-19 19:18:32 UTC
This one is resolved in current -ac kernels. Or should be. There was a period
the driver failed on a few obscure card variants.


Comment 5 Simon Falvey 2001-05-21 06:52:39 UTC
Agreed. I compiled 2.4.4 from source and transfered it via my Agenda Linux PDA 
to the firewall box and can now use the NIC. Any idea when a new kernel rpm 
will be released?



Comment 6 Arjan van de Ven 2001-05-21 07:48:24 UTC
"Soon".

Comment 7 Need Real Name 2003-05-30 15:40:48 UTC
Using ifconfig, assign the MAC address to the card.  Find out what the card's 
MAC address is and do the following:

ifconfig eth0 hw ether ############

Where "############" is the MAC address.


Note You need to log in before you can comment on or make changes to this bug.